Jetgroovy 1.1 preview is available

Hello All,
a preview of the new version of JetGroovy plugin is available at http://www.jetbrains.net/confluence/display/GRVY/JetGroovy1.1EAP

A summary of new features:

-Improved resolve and completion in GSP: now JetGroovy knows about implicit variables like params, application and such.
-Javascript editing is supported in GSP (dependant on JavaScript plugin availability)
-Grails facet is detected automatically, for example when importing an exisiting grails application.
-Annotations PSI is implemented, as a result JUnit4/TestNG tests can be run from IDEA
-Property files support is extended to understand references from groovy files
-Extract method refactoring
-Inline method refactoring
-Inspection to flag unused assignment
-Inspection to flag possibly uninitialized variable access
-Rename now correctly insert parameter declaration for renaming closure's implicit 'it' parameter
-Surround with closure now preserves code semantics inserting 'owner' qualification when needed

Your feedback is most welcome as usually.
We will publish the new version to confluence once it has undergone enough testing.

Eugene.

8 comments
Comment actions Permalink

I just copied over my existing groovy plugin with this new stuff.. but I end up with this:

org/jetbrains/plugins/groovy/lang/psi/impl/statements/GrBlockStatement
java.lang.NoClassDefFoundError: org/jetbrains/plugins/groovy/lang/psi/impl/statements/GrBlockStatement
at com.siyeh.inspectorgroovy.confusing.GroovyEmptyStatementBodyInspection$Visitor.isEmpty(GroovyEmptyStatementBodyInspection.java:91)
at com.siyeh.inspectorgroovy.confusing.GroovyEmptyStatementBodyInspection$Visitor.visitIfStatement(GroovyEmptyStatementBodyInspection.java:76)
at org.jetbrains.plugins.groovy.lang.psi.impl.statements.GrIfStatementImpl.accept(GrIfStatementImpl.java:39)
at

did I do something wrong?

0
Comment actions Permalink

double post..

Message was edited by:
Dan Bachelder

0
Comment actions Permalink

Please do a clean install of the plugin. GrBlockStatement should be there.

Eugene.

0
Comment actions Permalink

New build is available in plugin manager. Since it is a preview build, its companion build is set to 7656 only, so in order to try it, please update your IntelliJ IDEA version.

Changes from the first preview build:
Bugfixes in groovy to java stub compiler
- Run configurations fix to limit the class path of Groovy RootLoader not to include jdk classes
- Groovy mode for evaluating code fragments/expressions in debugger

0
Comment actions Permalink

Hi, I installed IDEA and JetGroovy yesterday from scratch (new IDEA-User) and getting also this exception:
GrBlockStatement. I also tried to reinstall the plugin, but still the same exception.

0
Comment actions Permalink

Please remove GroovyInspector. It is bundled in JetGroovy latest version, and version of GroovyInspector in plugin manager is not compatible.

0
Comment actions Permalink

Okay, I removed the plugin and it seems to work.
As far as I remember, it was installed by the plugin-manager after I selected Jetgroovy to install, telling me there's an dependency?

0
Comment actions Permalink

No, the dependency is the other direction. You installed GroovyInspector that depends on JetGroovy.
However you don't need GroovyInspector anymore if you install latest JetGroovy since the inspections are now bundled (courtesy of Dave Griffith and a great work by Bas Leijdekkers)

0

Please sign in to leave a comment.